Upgrade TFS2015 Update 1 from TFS2012 Update1 error

I was upgrading from TFS 2012 Update 1 to TFS 2015 Update 1, and encountered the following error:
TF400311: The database connection strings are not valid and cannot be automatically corrected. To fix this problem, use the TFSConfig RemapDBs command-line tool to correct the database connection strings.
Completed VerifyShouldRunRemapDbs: Error

This happened because I didn’t include the default collection database, as it was not needed by the customer.

TFS2015 Update1 Upgrade error

If you’re looking at upgrading from an older version of TFS to TFS 2015 Update 1, you can see some estimated timelines and factors here.

Share This: